Bug 6396 - Broadcom BCM4352 802.11ac broken after update to 4.1 kernel
: Broadcom BCM4352 802.11ac broken after update to 4.1 kernel
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: High normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 23:24 MSK by Eugene Budanov
Modified: 2015-12-07 18:43 MSK (History)
4 users (show)

See Also:
RPM Package: dkms-broadcom-wl
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Budanov 2015-12-01 23:24:39 MSK
After update to kernel 4.1 13 on my laptop my Wi-Fi don't work and ethernet working only.

lspci output:
03:00.0 Network controller: Broadcom Corporation BCM4352 802.11ac Wireless Network Adapter (rev 03)

Probe URL: http://hw.rosalinux.ru/index.php?probe=df3c6b21da
Comment 1 Sergey Kalinin 2015-12-02 12:44:39 MSK
если используете broadcom-wl, то внесите драйвер b43 в блеклист /etc/modprobe.d/blacklist-compat.conf

И раз уж broadcom-wl есть в образе предлагаю в R7 драйвер b43 внести в блеклист, не будут работать только карты пятилетней давности, броадком бросила их поддержку, помнится даже при установке в консоли предупреждение есть
Comment 2 Eugene Shatokhin 2015-12-02 13:45:39 MSK
(In reply to comment #1)
> если используете broadcom-wl, то внесите драйвер b43 в блеклист
> /etc/modprobe.d/blacklist-compat.conf
> 

Тут всё несколько хитрее. Действительно, первым грузится не wl, а bcma+b43. Раньше это нормально обходилось alias'ами для modprobe, то, что теперь не сработало, это странно. Разбираемся.

Т.к. PCI ID для этой карты прописан не в b43, а в bcma, то лучше в blacklist добавлять именно bcma. 

> И раз уж broadcom-wl есть в образе предлагаю в R7 драйвер b43 внести в
> блеклист, не будут работать только карты пятилетней давности, броадком
> бросила их поддержку, помнится даже при установке в консоли предупреждение
> есть

Официально Broadcom их поддерживает, просто я опытном путём выяснил тогда, что их драйвер у нас нестабильно работает для этих карт. Да и пользователи подтвердили.

Пока у многих пользователей ещё есть такие WiFi адаптеры, думаю, совсем отключать b43+bcma не стоит. Лучше, вероятно, при установке broadcom-wl blacklist ставить. В общем, разбираемся.
Comment 3 Eugene Shatokhin 2015-12-02 18:47:07 MSK
(In reply to comment #0)
> After update to kernel 4.1 13 on my laptop my Wi-Fi don't work and ethernet
> working only.
> 
> lspci output:
> 03:00.0 Network controller: Broadcom Corporation BCM4352 802.11ac Wireless
> Network Adapter (rev 03)
> 
> Probe URL: http://hw.rosalinux.ru/index.php?probe=df3c6b21da

Looks like, the system loaded bcma driver first (before wl) and that messed the things up.

Please try the following. In /etc/modprobe.d/broadcom-wl-alias.conf, replace the line
alias pci:v000014E4d000043b1sv*sd*bc*sc*i* wl
with
alias pci:v000014E4d000043B1sv*sd*bc*sc*i* wl

As root, of course.

That is, use capital 'B' rather than 'b'. Case matters sometimes.

Then reboot the system and see if WiFi is working (and, please upload the data with hw-probe again).
Comment 4 Eugene Budanov 2015-12-02 22:24:20 MSK
(In reply to comment #3)
> (In reply to comment #0)
> > After update to kernel 4.1 13 on my laptop my Wi-Fi don't work and ethernet
> > working only.
> > 
> > lspci output:
> > 03:00.0 Network controller: Broadcom Corporation BCM4352 802.11ac Wireless
> > Network Adapter (rev 03)
> > 
> > Probe URL: http://hw.rosalinux.ru/index.php?probe=df3c6b21da
> 
> Looks like, the system loaded bcma driver first (before wl) and that messed
> the things up.
> 
> Please try the following. In /etc/modprobe.d/broadcom-wl-alias.conf, replace
> the line
> alias pci:v000014E4d000043b1sv*sd*bc*sc*i* wl
> with
> alias pci:v000014E4d000043B1sv*sd*bc*sc*i* wl
> 
> As root, of course.
> 
> That is, use capital 'B' rather than 'b'. Case matters sometimes.
> 
> Then reboot the system and see if WiFi is working (and, please upload the
> data with hw-probe again).

Yep, after changing alias in broadcom-wl-alias.conf my Wi-Fi began working on 4.1 kernel. 

Probe URL, as you requested: http://hw.rosalinux.ru/index.php?probe=cc671f1b80
Comment 5 Eugene Shatokhin 2015-12-03 11:23:19 MSK
(In reply to comment #4)
> Yep, after changing alias in broadcom-wl-alias.conf my Wi-Fi began working
> on 4.1 kernel. 
> 
> Probe URL, as you requested:
> http://hw.rosalinux.ru/index.php?probe=cc671f1b80

Good. I will prepare the update for broadcom-wl shortly.
Comment 6 Eugene Shatokhin 2015-12-03 11:33:26 MSK
Advisory:
broadcom-wl was updated to 6.30.223.271-2 to fix the problems with BCM4352-based WiFi adapters on kernel 4.1 (bug #6396).


Build lists:
i586:
https://abf.io/build_lists/2603419
x86_64:
https://abf.io/build_lists/2603420


It is important the users get this fix soon. Setting importance to "High".
Comment 7 Vladimir Potapov 2015-12-07 11:57:54 MSK
The update is sent to expanded testing
**************************************
Comment 8 Vladimir Potapov 2015-12-07 18:15:27 MSK
broadcom-wl-6.30.223.271-2
https://abf.io/build_lists/2603419
https://abf.io/build_lists/2603420
*************************** Advisory **************************
broadcom-wl was updated to 6.30.223.271-2 to fix the problems with BCM4352-based WiFi adapters on kernel 4.1 (bug #6396).
***************************************************************
QA Verified